<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Aspirante extends Model
{
    protected $table="depi_aspirante";
    protected $fillable=['nombre','ap','am','fecha_nac','genero','telefono','correo','estado_civil','pais_origen','curp','estado'];
   // protected $keytype="";//tipo de primary key
    public function AspiranteDatos(){
        return $this->hasMany('App\AspiranteDatos','aspirante_id','id');
    }
    public function AspiranteDocs(){
        return $this->hasMany('App\AspiranteDocumentos','aspirante_id','id');
    }
    public function getNombreCompleto()
    {
        return "{$this->nombre} {$this->ap} {$this->am}";
    }
}
